#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	x265
Version		:	20240216
Release		:	17.2.0.rel%{?dist}
Summary		:	HEVC encoder

Group		:	Applications/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	https://bitbucket.org/multicoreware/x265_git
			#https://anduin.linuxfromscratch.org/BLFS/x265

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
Buildrequires	:	cmake
Buildrequires	:	ninja
Buildrequires	:	numactl
#-----------------------------------------------------------------------------
%description
'%{name}' package provides a library for encoding video streams into
the H.265/HEVC format.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_libdir}/lib%{name}.so.209

#=============================================================================
%package		devel
Summary		:	Development files for %{name}

#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains libraries and
header files for developing applications that
use %{name}.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/%{name}*.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

#The github archive is without version, to set the version number
(
echo "branch: Release-%{version}-%{release}"
echo "tag: %{version}"
) > .hg_archival.txt

cmake								\
	-S source						\
	-B bld							\
	-G Ninja						\
	-D CMAKE_INSTALL_PREFIX=%{_prefix}			\
	-D LIB_INSTALL_DIR=%{_libdir}				\
	-D ENABLE_SHARED=TRUE					\
	-D EXTRA_LINK_FLAGS='-L .'				\
	-D ENABLE_HDR10_PLUS=FALSE 				\
	-D X265_LATEST_TAG=%{version}				\
	-W no-dev						\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
ninja								\
	-C bld							\
	%{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}						\
ninja								\
	-C bld							\
	install

#BLFS does not recommend using static libraries.
%{__rm} -f							\
	%{buildroot}%{_libdir}/lib%{name}.a

#-----------------------------------------------------------------------------
%changelog
